Gentoo Archives: gentoo-commits

From: "Zac Medico (zmedico)" <zmedico@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in sys-apps/portage: ChangeLog portage-2.1.6_rc2.ebuild portage-2.2_rc14.ebuild portage-2.2_rc15.ebuild
Date: Thu, 27 Nov 2008 04:04:53
Message-Id: E1L5Y7T-0001k3-RU@stork.gentoo.org
1 zmedico 08/11/27 04:04:47
2
3 Modified: ChangeLog
4 Added: portage-2.1.6_rc2.ebuild
5 Removed: portage-2.2_rc14.ebuild portage-2.2_rc15.ebuild
6 Log:
7 27 Nov 2008; Zac Medico <zmedico@g.o> +portage-2.1.6_rc2.ebuild:
8 2.1.6_rc2 bump. This fixes bugs #235642 (merging of hardlinks), #248464
9 (make repoman commit all files at once with git), #248599 (remove
10 remnants of packages sets and preserve-libs), #248603 (disable warning
11 about missing repo_name), #248782 (handle Permission Denied error for
12 PORTAGE_TMPDIR). Bug #216231 tracks all bugs fixed since 2.1.4.x.
13
14 27 Nov 2008; Zac Medico <zmedico@g.o> -portage-2.2_rc14.ebuild,
15 -portage-2.2_rc15.ebuild:
16 Remove old versions.
17 (Portage version: 2.1.6_rc2/cvs/Linux 2.6.27-1111-x86-64 i686)
18
19 Revision Changes Path
20 1.556 sys-apps/portage/ChangeLog
21
22 file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-apps/portage/ChangeLog?rev=1.556&view=markup
23 plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-apps/portage/ChangeLog?rev=1.556&content-type=text/plain
24 diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-apps/portage/ChangeLog?r1=1.555&r2=1.556
25
26 Index: ChangeLog
27 ===================================================================
28 RCS file: /var/cvsroot/gentoo-x86/sys-apps/portage/ChangeLog,v
29 retrieving revision 1.555
30 retrieving revision 1.556
31 diff -u -r1.555 -r1.556
32 --- ChangeLog 24 Nov 2008 20:47:40 -0000 1.555
33 +++ ChangeLog 27 Nov 2008 04:04:47 -0000 1.556
34 @@ -1,6 +1,19 @@
35 # ChangeLog for sys-apps/portage
36 # Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
37 -# $Header: /var/cvsroot/gentoo-x86/sys-apps/portage/ChangeLog,v 1.555 2008/11/24 20:47:40 zmedico Exp $
38 +# $Header: /var/cvsroot/gentoo-x86/sys-apps/portage/ChangeLog,v 1.556 2008/11/27 04:04:47 zmedico Exp $
39 +
40 +*portage-2.1.6_rc2 (27 Nov 2008)
41 +
42 + 27 Nov 2008; Zac Medico <zmedico@g.o> +portage-2.1.6_rc2.ebuild:
43 + 2.1.6_rc2 bump. This fixes bugs #235642 (merging of hardlinks), #248464
44 + (make repoman commit all files at once with git), #248599 (remove
45 + remnants of packages sets and preserve-libs), #248603 (disable warning
46 + about missing repo_name), #248782 (handle Permission Denied error for
47 + PORTAGE_TMPDIR). Bug #216231 tracks all bugs fixed since 2.1.4.x.
48 +
49 + 27 Nov 2008; Zac Medico <zmedico@g.o> -portage-2.2_rc14.ebuild,
50 + -portage-2.2_rc15.ebuild:
51 + Remove old versions.
52
53 24 Nov 2008; Zac Medico <zmedico@g.o> portage-2.2_rc16.ebuild:
54 If portage-2.1.6 is installed and the preserved_libs_registry exists,
55
56
57
58 1.1 sys-apps/portage/portage-2.1.6_rc2.ebuild
59
60 file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-apps/portage/portage-2.1.6_rc2.ebuild?rev=1.1&view=markup
61 plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-apps/portage/portage-2.1.6_rc2.ebuild?rev=1.1&content-type=text/plain
62
63 Index: portage-2.1.6_rc2.ebuild
64 ===================================================================
65 # Copyright 1999-2008 Gentoo Foundation
66 # Distributed under the terms of the GNU General Public License v2
67 # $Header: /var/cvsroot/gentoo-x86/sys-apps/portage/portage-2.1.6_rc2.ebuild,v 1.1 2008/11/27 04:04:47 zmedico Exp $
68
69 inherit eutils multilib python
70
71 DESCRIPTION="Portage is the package management and distribution system for Gentoo"
72 HOMEPAGE="http://www.gentoo.org/proj/en/portage/index.xml"
73 LICENSE="GPL-2"
74 KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
75 PROVIDE="virtual/portage"
76 SLOT="0"
77 IUSE="build doc epydoc selinux linguas_pl"
78
79 python_dep=">=dev-lang/python-2.4"
80
81 DEPEND="${python_dep}
82 !build? ( >=sys-apps/sed-4.0.5 )
83 doc? ( app-text/xmlto ~app-text/docbook-xml-dtd-4.4 )
84 epydoc? ( >=dev-python/epydoc-2.0 )"
85 RDEPEND="${python_dep}
86 !build? ( >=sys-apps/sed-4.0.5
87 >=app-shells/bash-3.2_p17
88 >=app-admin/eselect-news-20071201 )
89 elibc_FreeBSD? ( sys-freebsd/freebsd-bin )
90 elibc_glibc? ( >=sys-apps/sandbox-1.2.17 !mips? ( >=sys-apps/sandbox-1.2.18.1-r2 ) )
91 elibc_uclibc? ( >=sys-apps/sandbox-1.2.17 !mips? ( >=sys-apps/sandbox-1.2.18.1-r2 ) )
92 >=app-misc/pax-utils-0.1.17
93 selinux? ( >=dev-python/python-selinux-2.16 )"
94 PDEPEND="
95 !build? (
96 >=net-misc/rsync-2.6.4
97 userland_GNU? ( >=sys-apps/coreutils-6.4 )
98 || ( >=dev-lang/python-2.5 >=dev-python/pycrypto-2.0.1-r6 )
99 )"
100 # coreutils-6.4 rdep is for date format in emerge-webrsync #164532
101 # rsync-2.6.4 rdep is for the --filter option #167668
102
103 SRC_ARCHIVES="http://dev.gentoo.org/~zmedico/portage/archives"
104
105 prefix_src_archives() {
106 local x y
107 for x in ${@}; do
108 for y in ${SRC_ARCHIVES}; do
109 echo ${y}/${x}
110 done
111 done
112 }
113
114 PV_PL="2.1.2"
115 PATCHVER_PL=""
116 TARBALL_PV=2.1.6_rc1
117 SRC_URI="mirror://gentoo/${PN}-${TARBALL_PV}.tar.bz2
118 $(prefix_src_archives ${PN}-${TARBALL_PV}.tar.bz2)
119 linguas_pl? ( mirror://gentoo/${PN}-man-pl-${PV_PL}.tar.bz2
120 $(prefix_src_archives ${PN}-man-pl-${PV_PL}.tar.bz2) )"
121
122 PATCHVER=$PV
123 if [ -n "${PATCHVER}" ]; then
124 SRC_URI="${SRC_URI} mirror://gentoo/${PN}-${PATCHVER}.patch.bz2
125 $(prefix_src_archives ${PN}-${PATCHVER}.patch.bz2)"
126 fi
127
128 S="${WORKDIR}"/${PN}-${TARBALL_PV}
129 S_PL="${WORKDIR}"/${PN}-${PV_PL}
130
131 src_unpack() {
132 unpack ${A}
133 cd "${S}"
134 if [ -n "${PATCHVER}" ]; then
135 cd "${S}"
136 epatch "${WORKDIR}/${PN}-${PATCHVER}.patch"
137 fi
138 einfo "Setting portage.VERSION to ${PVR} ..."
139 sed -i "s/^VERSION=.*/VERSION=\"${PVR}\"/" pym/portage/__init__.py || \
140 die "Failed to patch portage.VERSION"
141 }
142
143 src_compile() {
144
145 if use doc; then
146 cd "${S}"/doc
147 touch fragment/date
148 make xhtml xhtml-nochunks || die "failed to make docs"
149 fi
150
151 if use epydoc; then
152 einfo "Generating api docs"
153 mkdir "${WORKDIR}"/api
154 local my_modules epydoc_opts=""
155 # A name collision between the portage.dbapi class and the
156 # module with the same name triggers an epydoc crash unless
157 # portage.dbapi is excluded from introspection.
158 ROOT=/ has_version '>=dev-python/epydoc-3_pre0' && \
159 epydoc_opts='--exclude-introspect portage\.dbapi'
160 my_modules="$(find "${S}/pym" -name "*.py" \
161 | sed -e 's:/__init__.py$::' -e 's:\.py$::' -e "s:^${S}/pym/::" \
162 -e 's:/:.:g' | sort)" || die "error listing modules"
163 PYTHONPATH="${S}/pym:${PYTHONPATH}" epydoc -o "${WORKDIR}"/api \
164 -qqqqq --no-frames --show-imports $epydoc_opts \
165 --name "${PN}" --url "${HOMEPAGE}" \
166 ${my_modules} || die "epydoc failed"
167 fi
168 }
169
170 src_test() {
171 ./pym/portage/tests/runTests || \
172 die "test(s) failed"
173 }
174
175 src_install() {
176 local libdir=$(get_libdir)
177 local portage_base="/usr/${libdir}/portage"
178 local portage_share_config=/usr/share/portage/config
179
180 cd "${S}"/cnf
181 insinto /etc
182 doins etc-update.conf dispatch-conf.conf
183
184 dodir "${portage_share_config}"
185 insinto "${portage_share_config}"
186 doins "${S}/cnf/"make.globals
187 if [ -f "make.conf.${ARCH}".diff ]; then
188 patch make.conf "make.conf.${ARCH}".diff || \
189 die "Failed to patch make.conf.example"
190 newins make.conf make.conf.example
191 else
192 eerror ""
193 eerror "Portage does not have an arch-specific configuration for this arch."
194 eerror "Please notify the arch maintainer about this issue. Using generic."
195 eerror ""
196 newins make.conf make.conf.example
197 fi
198
199 dosym ..${portage_share_config}/make.globals /etc/make.globals
200
201 insinto /etc/logrotate.d
202 doins "${S}"/cnf/logrotate.d/elog-save-summary
203
204 dodir ${portage_base}/bin
205 exeinto ${portage_base}/bin
206
207 # BSD and OSX need a sed wrapper so that find/xargs work properly
208 if use userland_GNU; then
209 rm "${S}"/bin/sed || die "Failed to remove sed wrapper"
210 fi
211
212 cd "${S}"/bin
213 doexe *
214 dosym newins ${portage_base}/bin/donewins
215
216 local symlinks
217 for mydir in $(find "${S}"/pym -type d | sed -e "s:^${S}/::") ; do
218 dodir ${portage_base}/${mydir}
219 insinto ${portage_base}/${mydir}
220 cd "${S}"/${mydir}
221 doins *.py
222 symlinks=$(find . -mindepth 1 -maxdepth 1 -type l)
223 [ -n "${symlinks}" ] && cp -P ${symlinks} "${D}${portage_base}/${mydir}"
224 done
225
226 # Symlinks to directories cause up/downgrade issues and the use of these
227 # modules outside of portage is probably negligible.
228 for x in "${D}${portage_base}/pym/"{cache,elog_modules} ; do
229 [ ! -L "${x}" ] && continue
230 die "symlink to directory will cause upgrade/downgrade issues: '${x}'"
231 done
232
233 exeinto ${portage_base}/pym/portage/tests
234 doexe "${S}"/pym/portage/tests/runTests
235
236 doman "${S}"/man/*.[0-9]
237 if use linguas_pl; then
238 doman -i18n=pl "${S_PL}"/man/pl/*.[0-9]
239 doman -i18n=pl_PL.UTF-8 "${S_PL}"/man/pl_PL.UTF-8/*.[0-9]
240 fi
241
242 dodoc "${S}"/{ChangeLog,NEWS,RELEASE-NOTES}
243 use doc && dohtml -r "${S}"/doc/*
244 use epydoc && dohtml -r "${WORKDIR}"/api
245
246 dodir /usr/bin
247 for x in ebuild emerge portageq repoman xpak; do
248 dosym ../${libdir}/portage/bin/${x} /usr/bin/${x}
249 done
250
251 dodir /usr/sbin
252 local my_syms="archive-conf
253 dispatch-conf
254 emaint
255 emerge-webrsync
256 env-update
257 etc-update
258 fixpackages
259 quickpkg
260 regenworld"
261 local x
262 for x in ${my_syms}; do
263 dosym ../${libdir}/portage/bin/${x} /usr/sbin/${x}
264 done
265 dosym env-update /usr/sbin/update-env
266 dosym etc-update /usr/sbin/update-etc
267
268 dodir /etc/portage
269 keepdir /etc/portage
270 }
271
272 pkg_preinst() {
273 if ! use build && ! has_version dev-python/pycrypto && \
274 has_version '>=dev-lang/python-2.5' ; then
275 if ! built_with_use '>=dev-lang/python-2.5' ssl ; then
276 ewarn "If you are an ebuild developer and you plan to commit ebuilds"
277 ewarn "with this system then please install dev-python/pycrypto or"
278 ewarn "enable the ssl USE flag for >=dev-lang/python-2.5 in order"
279 ewarn "to enable RMD160 hash support."
280 ewarn "See bug #198398 for more information."
281 fi
282 fi
283 if [ -f "${ROOT}/etc/make.globals" ]; then
284 rm "${ROOT}/etc/make.globals"
285 fi
286 has_version ">=${CATEGORY}/${PN}-2.2_pre"
287 DOWNGRADE_FROM_2_2=$?
288 }
289
290 pkg_postinst() {
291 # Compile all source files recursively. Any orphans
292 # will be identified and removed in postrm.
293 python_mod_optimize /usr/$(get_libdir)/portage/pym
294
295 elog
296 elog "For help with using portage please consult the Gentoo Handbook"
297 elog "at http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?part=3"
298 elog
299
300 if [ $DOWNGRADE_FROM_2_2 = 0 ] ; then
301 ewarn
302 echo "Since you have downgraded from portage-2.2, do not forget to" \
303 "use revdep-rebuild when appropriate, since the @preserved-rebuild" \
304 "package set is only supported with portage-2.2." | fmt -w 70 | \
305 while read ; do ewarn "$REPLY" ; done
306 ewarn
307 fi
308 }
309
310 pkg_postrm() {
311 python_mod_cleanup /usr/$(get_libdir)/portage/pym
312 }